| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
ob_device_timestamp_reset_config Struct Reference

The timestamp reset configuration of the device. More...

`#include <ObTypes.h>`

## Public Attributes
bool | enable
| Whether to enable the timestamp reset function.
int | timestamp_reset_delay_us
| The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.
bool | timestamp_reset_signal_output_enable
| the timestamp reset signal output enable flag.

## Detailed Description

The timestamp reset configuration of the device.

Definition at line 1408 of file ObTypes.h.

## Member Data Documentation

## ◆ enable

bool ob_device_timestamp_reset_config::enable

Whether to enable the timestamp reset function.

If the timestamp reset function is enabled, the timer for calculating the timestamp for output frames will be reset to 0 when the timestamp reset command or timestamp reset signal is received, and one timestamp reset signal will be output via TIMER_SYNC_OUT pin on synchronization port by default. The timestamp reset signal is input via TIMER_SYNC_IN pin on the synchronization port.

Attention
  For some models, the timestamp reset function is always enabled and cannot be disabled.

Definition at line 1417 of file ObTypes.h.

## ◆ timestamp_reset_delay_us

int ob_device_timestamp_reset_config::timestamp_reset_delay_us

The delay time of executing the timestamp reset function after receiving the command or signal in microseconds.

Definition at line 1422 of file ObTypes.h.

## ◆ timestamp_reset_signal_output_enable

bool ob_device_timestamp_reset_config::timestamp_reset_signal_output_enable

the timestamp reset signal output enable flag.

Attention
  For some models, the timestamp reset signal output is always enabled and cannot be disabled.

Definition at line 1429 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h